import { Component, OnInit } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'app-document-form',
  templateUrl: './document-form.component.html',
  styleUrls: ['./document-form.component.css']
})
export class DocumentFormComponent implements OnInit {

  public formGroup: FormGroup;


  public imagen: any = null;


  constructor() {
    this.formGroup = this.createFromGroup();
  }

  ngOnInit(): void {
  }

  // Creación de formulario de registro de módulos
  private createFromGroup(): FormGroup {
    return new FormGroup({
      documento: new FormControl('', Validators.required),
      tipoDocumento: new FormControl('', Validators.required),
      archivoDocumento: new FormControl('', Validators.required),
    });
  }

  // Ejecuta el input file
  public getFile() {
    document.getElementById("upfile")!!.click();
  }

  // Método para cargar la imagen 
  public loadImg(obj: any, event: any) {
    this.imagen = event.target.files[0];
    var file = obj.value;

  }

  public getErrorMessage() {
    if (this.documento?.hasError('required')) {
      return 'You must enter a value';
    }
    return ''
  }

  get documento() { return this.formGroup.get('documento'); }
  get tipoDocumento() { return this.formGroup.get('tipoDocumento'); }
  get archivoDocumento() { return this.formGroup.get('archivoDocumento'); }
}
